Bug 592815 - "Memory Remap Feature" in BIOS results in system slowness
"Memory Remap Feature" in BIOS results in system slowness
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-17 00:54 EDT by bloodandsoil76
Modified: 2013-01-10 00:58 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:24:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bloodandsoil76 2010-05-17 00:54:45 EDT
Description of problem:

When the "Memory Remap Feature" is set to "Enabled" in the BIOS, the system is very slow:  Screen redraws slowly (you can visibly see the redraw crawling down the screen), when typing on the keyboard the text lags behind by over 5 seconds, when clicking on any menus the response comes 5 seconds later, etc.  This slowness problem occurs on about 1 out of every 2 times that the system is booted.

Version-Release number of selected component (if applicable):

I observed this problem running Fedora 12 x86_64 and in Fedora 13 i686 (Release Candidate 3).

How reproducible:

Randomly reproducible:  The problem occurs on approximately 1 out of every 2 system starts.  When the problem occurs, it remains in effect until the system is restarted.

Steps to Reproduce:
1.  Set "Enable Memory Remap Feature" to "Enabled" in the BIOS.
2.  Start Fedora (either cold boot or warm boot).
3.  If problem does not occur, restart the system.  There is a random reproducibility with about a 50% chance of the problem showing itself.
  
Actual results:

When the problem occurs, the system is very slow.

Expected results:

I would expect that the "Memory Remap Feature" would not ever cause system slowness.  This feature is necessary for the system to read the full 4GB of physical memory.  Without this feature enabled, the system sees only 3032160 kB of physical memory.

Additional info:

ASUS P5B-Deluxe motherboard
Intel Core 2 Duo E6600 Conroe 2.4GHz
ATI Radeon HD 4850 512MB
Crucial Ballistix 4 x 1GB PC2 6400 4-4-4-12, 2.2V
Comment 1 Bug Zapper 2011-06-02 09:56:55 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-27 12:24:51 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.